class Student < Person
  attr_accessor :matriculation_number

  def initialize(first_name, last_name, matriculation_number)
    super first_name, last_name # call super initializer
    @matriculation_number = matriculation_number
  end
end

luke = Student.new("Luke", "Skywalker", 427323)

luke.full_name            # => Luke Skywalker
luke.matriculation_number # => 427323

luke.kind_of? Student    # => true
luke.kind_of? Person     # => true
luke.instance_of? Person # => false
