$:.unshift File.dirname(__FILE__)
require "text_analysis"

puts Dir.pwd

lorem_ipsum      = File.read("lorem_ipsum.txt")
word_list        = words_from_string(lorem_ipsum)
word_frequencies = count_word_frequency(word_list)
sorted_frequencies = word_frequencies.sort_by { |word, count| count }

toplist_size = 5
toplist_size = ARGV[0].to_i if ARGV[0]

toplist = sorted_frequencies.last(toplist_size)

toplist.each do |freq|
  puts "#{freq[0]}: #{freq[1]}"
end
