show_regexp("Mississippi", /iss/) # => M<iss>issippi

str = "this is\nthe time"

# start/end of line
show_regexp(str, /^the/)   # => this is\n<the> time
show_regexp(str, /is$/)    # => this <is>\nthe time

# start/end of string
show_regexp(str, /\Athis/) # => <this> is \nthe time
show_regexp(str, /\Athe/)  # => no match
show_regexp(str, /e\z/)    # => this is\nthe tim<e>

# word/nonword boundaries
show_regexp(str, /\bis/)   # => this <is>\nthe time
show_regexp(str, /\Bis/)   # => th<is> is\nthe time
