show_regexp("banana", /an+/)   # => b<an>ana

show_regexp("banana", /(an)+/) # => b<anan>a

regexp = /(\d\d):(\d\d)(\w{2})/
matches = regexp.match "12:50am"

"Hour is #{matches[1]}, minute is #{matches[2]}."
# => Hour is 12, minute is 50.

matches = /((\d\d):(\d\d))(\w{2})/.match "12:50am"

"Time is #{matches[1]}." #  => Time is 12:50.

"Hour is #{matches[2]}, minute is #{matches[3]}."
# => Hour is 12, minute is 50.

"AM/PM is #{matches[4]}" #  => AM/PM is am
