# + = one or more
/ab+c/ =~ "abc"  # => 0   (match)
/ab+c/ =~ "abbc" # => 0   (match)
/ab+c/ =~ "ac"   # => nil (no match)

# * = zero or more
/ab*c/ =~ "abc"  # => 0   (match)
/ab*c/ =~ "abbc" # => 0   (match)
/ab*c/ =~ "ac"   # => 0   (match)

# ? = zero or one
/ab?c/ =~ "abc"  # => 0   (match)
/ab?c/ =~ "abbc" # => nil (no match)
/ab?c/ =~ "ac"   # => 0   (match)

/ab{1,2}c/ =~ "abc"    # => 0 (match)
/ab{1,2}c/ =~ "abbbc"  # => nil (no match)
/ab{1,2}c/ =~ "ac"     # => nil (no match)
